struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dave Newton <davelnew...@gmail.com>
Subject Re: Unable to Load Configuration
Date Sat, 12 Mar 2011 18:13:56 GMT
Under what server? I usually suspect conflicting Xerces libs, but it's
hard to say not knowing *anything* about your app, your libs, your
environment, etc. Doesn't look like anything related to Struts 2,
though, at this point.

Dave

On Sat, Mar 12, 2011 at 1:11 PM, Jason Ferguson <fergusonjason@gmail.com> wrote:
> I'm trying in the middle of converting an app from struts 1.3 to
> 2.2.1.1. I'm trying to run the app using the Maven jetty plugin, but
> am getting the following Exception thrown on attempting to execute mvn
> jetty:run:
>
> 2011-03-12 07:49:53.447:WARN::Failed startup of context JettyWebAppContext@a63bd
> d@a63bdd/,file:/C:/Programming/Projects/jasonsportfolio/adpetracking-refactor/sr
> c/main/webapp/,file:/C:/Programming/Projects/jasonsportfolio/adpetracking-refact
> or/src/main/webapp/
> Unable to load configuration. - Class: org.gjt.xpp.jaxp11.SAXParserFactoryImpl|F
> ile: SAXParserFactoryImpl.java|Method: newSAXParser|Line: 100 - org/gjt/xpp/jaxp
> 11/SAXParserFactoryImpl.java:100:-1
> (stacktrace snipped)
> Unable to load configuration. - Class: org.gjt.xpp.jaxp11.SAXParserFactoryImpl|F
> ile: SAXParserFactoryImpl.java|Method: newSAXParser|Line: 100 - org/gjt/xpp/jaxp
> 11/SAXParserFactoryImpl.java:100:-1
> (snipped again)
> Unable to load file:/C:/Programming/Projects/jasonsportfolio/adpetracking-refact
> or/target/classes/struts.xml - Class: org.gjt.xpp.jaxp11.SAXParserFactoryImpl|Fi
> le: SAXParserFactoryImpl.java|Method: newSAXParser|Line: 100 - org/gjt/xpp/jaxp1
> 1/SAXParserFactoryImpl.java:100:-1
>
> Unable to create SAX parser - Class: org.gjt.xpp.jaxp11.SAXParserFactoryImpl|Fil
> e: SAXParserFactoryImpl.java|Method: newSAXParser|Line: 100 - org/gjt/xpp/jaxp11
> /SAXParserFactoryImpl.java:100:-1
>
> Caused by:
> javax.xml.parsers.ParserConfigurationException: validation is not supported
>
> I've got xerces in my lib, and struts.xml is in the classpath. I'm stumped.
>
> Jason
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
> For additional commands, e-mail: user-help@struts.apache.org
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
For additional commands, e-mail: user-help@struts.apache.org


Mime
View raw message